# Wi-Fi 5 GHz hotspot app for Yunohost

This YunoHost app is a fork of the "[La Brique Internet](http://labriqueinter.net)" project. This app working mainly with the RaspberryPI 3

## Overview

Wi-Fi 5 GHz hotspot app for [YunoHost](http://yunohost.org/).

* Broadcast your own Wi-Fi internet access in addition to your self-hosted web services.
* Without internet access, it's a [PirateBox](https://en.wikipedia.org/wiki/PirateBox).
* With the [VPN Client app for YunoHost](https://github.com/labriqueinternet/vpnclient_ynh), it's an encrypted Wi-Fi internet access (eventually with [neutral access](https://en.wikipedia.org/wiki/Net_neutrality), without filters, and with IPv6, depending on your VPN provider).

## Features
* AP 5 GHz 802.11ac
* WPA2 encryption
* IPv6 compliant (with a delegated prefix)
* Announce DNS resolvers (IPv6 with RDNSS/DHCPv6 and IPv4 with DHCPv4)
* Automatic clients configuration (IPv6 with SLAAC/DHCPv6 and IPv4 with DHCPv4)
* Set an IPv6 from your delegated prefix (*prefix::42*) on the server, to use for the AAAA records

## Screenshot

![Screenshot of the web interface](https://raw.githubusercontent.com/samvermeulenpro/hotspot-5ghz_ynh/master/screenshot.png)

## Friendly apps

Some other YunoHost apps have this Hotspot Wi-Fi app as prerequisite, in order to offer a service through a Wi-Fi access point.

With a multissid wireless card (most can do that), you can create multiple access points.

For example, you can create 3 hotspots:

1. *PirateBox*
2. *torNetwork*
3. *neutralNetwork*

You can then install and configure 3 other dependent apps on your YunoHost:

1. [PirateBox](https://github.com/labriqueinternet/piratebox_ynh) configured to use *PirateBox*,
2. [Tor Client](https://github.com/labriqueinternet/torclient_ynh/) configured to use *torNetwork*,
3. [VPN Client](https://github.com/labriqueinternet/vpnclient_ynh/) configured by default to use *neutralNetwork* because this hotspot is not used by another app in this case.

In this manner, with this example, you can provide 3 access points at the same time with 3 different services and only one wireless card.

## Prerequisites

* Debian Stretch
* YunoHost >= 3.2.0
* RaspberryPI 3

